%define name rox-mime-editor
%define oname MIME-Editor
%define fname mime-editor
%define version 0.1.3
%define release 1mdk

Summary: MIME database editor
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %fname-%version.tar.bz2
License: GPL
Group: Graphical desktop/Other
URL: http://rox.sf.net/mime_editor.php3
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: rox-lib
Buildarch: noarch

%description

The Shared MIME Database stores information about file types. It holds
information such as "Files with names ending in .html have the MIME
type text/html" and "A text/html file should be described as an `HTML
Page'".

Normally, you shouldn't need to edit this database, but if you do you
can use MIME-Editor for the task.

%prep
%setup -q -n %fname-%version

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_libdir/apps
cp -r %oname %buildroot/%_libdir/apps
rm -f %buildroot%_libdir/apps/%oname/Messages/dist
rm -f %buildroot%_libdir/apps/%oname/Messages/*po

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %_libdir/apps/%oname/Help
%dir %_libdir/apps/%oname/
%_libdir/apps/%oname/*.*
%_libdir/apps/%oname/AppRun
%_libdir/apps/%oname/.DirIcon
%dir %_libdir/apps/%oname/Messages
%lang(it) %_libdir/apps/%oname/Messages/it.gmo

%changelog
* Wed Feb 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- add new files
- new version

* Mon Nov 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- new version

* Wed May 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- new version

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-2mdk
- fix distriblint warning

* Sat Mar 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-1mdk
- initial package
